Skip to content

Retrieve a JSON that describes the SCIM specification features available on the currently authenticated Vault.

GET/api/{version}/scim/v2/ServiceProviderConfig
NameDescription
Acceptapplication/json (default) or application/scim+json
curl -X GET -H "Authorization: {SESSION_ID}" \ https://veepharm.com/api/v19.1/scim/v2/ServiceProviderConfig
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig" ], "documentationUri": "https://developer.veevavault.com", "patch": { "supported": false }, "bulk": { "supported": false, "maxOperations": 0, "maxPayloadSize": 0 }, "filter": { "supported": false, "maxResults": 1000 }, "changePassword": { "supported": false }, "sort": { "supported": true }, "etag": { "supported": false }, "authenticationSchemes": [ { "name": "OAuth Bearer Token", "description": "Authentication scheme using the OAuth Bearer Token Standard", "type": "oauthbearertoken", "primary": true } ], "meta": { "resourceType": "ServiceProviderConfig", "location": "https://promomats-template.vaultdev.com/api/v19.1/scim/v2/ServiceProviderConfig" } }

The attributes returned in the JSON object are defined in Section 5 of RFC7643.